@extends('supervisor.layouts.master')
@section('content') 
    <div class="card p-2 rounded border-0" style="background-color: #ffffff; color: #141639c4; height: 80vh;">
        <div class="col-md-12">
            <div class="row p-2">
                <h6 style="font-weight:bold !important;">3 Ways you can receive proposals from Doctoral candidates : </h6>
                <div class="col-md-4 mt-3 ms-3 method-box">
                    <h6 class="method"> Option 1:</h6>
                    <p style="font-size: 13px;"> You can give your ARN to the student and request them to submit their proposal using your reference.</p>
                </div>
                <div class="col-md-4 mt-3 ms-3 method-box">
                    <h6 class="method"> Option 2:</h6>
                    <p style="font-size: 13px;">You can log in to your account, include the student's name and email address in Q Apply, and send them an invitation. This way, their application will be automatically tagged with your reference.</p>
                </div>
                <div class="col-md-4 mt-3 ms-3 method-box">
                    <h6 class="method"> Option 3:</h6>
                    <p style="font-size: 13px; margin-bottom: 0px;">You can share the Q Apply link with the student and ask them to fill out the form using their name and email. An invitation email will be sent to them, and then they can proceed with method 2.</p>
                </div>
            </div>
        </div>
    </div>
    <div class="sidebar-footer" style="display: block;bottom: 0px !important; margin-left: -17px; margin-right: -17px;">
    <div class="sidebar-menu" style="padding: 0 !important;">
        <ul class="nav nav-pills nav-justified flex-column mb-0" id="">
            <li class="nav-item" style="margin-top: 35px; margin-bottom: -16px;">
                <div class="nav-link" style="background-color: #141639c4; border-radius: 0px !important;">
                    <div class="text-start py-1 px-2">
                        <p class="mb-0" style="text-align: center; color:#ffffff; margin-left: -2px; padding: 5px;">Copyright © <script>document.write(new Date().getFullYear())</script>
                        Research Admission</p>
                    </div>
                </div><!--end nav link-->
            </li><!--end nav item-->
        </ul><!--end nav pills-->
    </div>
</div> 
@endsection
@push('js')
<script>
    $(function(){ 
        
        // $(".start_date").flatpickr({
        //     dateFormat: "M y",
        // });

        // var clipboard = new ClipboardJS('.copy');

        // clipboard.on('success', function(e){
        //     //pop_up_msg('Successfully copy this link.');

        //     new Noty({
        //         theme:'sunset',
        //         text: 'Successfully copy this link',
        //         type: 'success',
        //         timeout:1500
        //     }).show();

        // }); 


        // $('.teacher_is_available').on('click', function(){
        //     var self =$(this);
        //     var checked =self.prop("checked");

        //     var form_data={
        //         _token :"{{csrf_token()}}",
        //         'checked':checked,
        //         }

        //     swal({
        //         title: "Are you sure you want to change status?",
        //         text: "Please check before submitting!",
        //         type: "warning",
        //         showCancelButton: true,
        //         confirmButtonClass: "btn-danger",
        //         cancelButtonClass: "btn-info",
        //         confirmButtonText: "Yes",
        //         cancelButtonText: "No",
        //         closeOnConfirm: true,
        //         closeOnCancel: true
        //     }, function(isConfirm){

        //         if(isConfirm){
        //             $.post("{{ route('ajax-post', ['name'=>'teacher_is_available']) }}", form_data, function(res){
        //                 pop_up_msg(res.msg);
        //                 window.location.reload();

        //             }).fail(function(err){

        //                 pop_up_msg(err_msg(err), 'error');

        //             });
        //         }
        //     });
        // }); 

        // });
    </script>

@endpush

     