<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title>Research Admission</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description" content="Information & Guidance on the PhD Process, Connect with Supervisor and Many" />
        <meta name="keywords" content="" />

         <!-- facebook tags -->
         <meta property="og:url" content="http://www.facebook.com/researchadmission"/>
         <meta property="og:type" content="website"/>
         <meta property="og:title" content="Research Admission"/>
         <meta property="og:description" content="Information & Guidance on the PhD Process, Connect with Supervisor and Many"/>
          <!-- Linkedin tags -->
         <meta property="og:url" content="https://www.linkedin.com/company/researchadmission"/>
         <meta property="og:type" content="website"/>
         <meta property="og:title" content="Research Admission"/>
         <meta property="og:description" content="Information & Guidance on the PhD Process, Connect with Supervisor and Many"/>

        <!-- favicon -->
        <link rel="shortcut icon" href="{{asset('web/images/logo.png') }}">
        <!-- Bootstrap -->
        <link href="{{ asset('web/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
        <!-- tobii css -->
        <link href="{{asset('web/css/tobii.min.css')}}" rel="stylesheet" type="text/css" />
        <!-- Icons -->
        <link href="{{asset('web/css/materialdesignicons.min.css')}}" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" type="text/css" href="{{ asset('web/stylesheets/font-awesome.min.css') }}" />
        <link rel="stylesheet" href="https://unicons.iconscout.com/release/v3.0.6/css/line.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.6.15/sweetalert2.min.css">

        <!-- Slider -->
        <link rel="stylesheet" href="{{asset('web/css/tiny-slider.css')}}"/>
        <!-- Main Css -->
        <link href="{{asset('web/css/style.css')}}" rel="stylesheet" type="text/css" id="theme-opt" />
        <link href="{{asset('web/css/colors/default.css')}}" rel="stylesheet" id="color-opt">
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Oswald:wght@200&family=Quicksand:wght@400;500;600;700&display=swap" rel="stylesheet">
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@700&display=swap" rel="stylesheet">
        <link rel="preconnect" href="https://fonts.googleapis.com">
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@200;300&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="{{asset('web/css/datepicker.min.css')}}">
        <link rel="stylesheet" href="{{asset('web/css/sweetalert/sweetalert.css')}}">
        {{-- Ajax Form Submit --}}
        <link href="{{ asset('css/noty/lib/noty.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('css/noty/lib/themes/sunset.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('css/flatpickr/dist/flatpickr.min.css') }}" rel="stylesheet" type="text/css">
        <link href="{{ asset('css/wait-me/waitMe.min.css')}}"  rel="stylesheet" type="text/css">
        <link href="{{ asset('css/pretty-checkbox/pretty-checkbox.min.css')}}"  rel="stylesheet" type="text/css">

        <style>

            body {
                font-family: 'Oswald', sans-serif;
                font-family: 'Quicksand', sans-serif;
            }
            h1, h2, h3, h4, h5, h6 {
                font-family: 'Oswald', sans-serif;
                font-family: 'Quicksand', sans-serif;
            }
            .bg-half-170 {
                padding:0px;
            }
            .bg-primary, .btn-primary, .btn-soft-primary:hover, .btn-soft-primary:focus, .btn-soft-primary:active, .btn-soft-primary.active, .btn-soft-primary.focus, .btn-outline-primary:hover, .btn-outline-primary:focus, .btn-outline-primary:active, .btn-outline-primary.active, .btn-outline-primary.focus, .btn-outline-primary:not(:disabled):not(.disabled):active, .pagination .page-item.active .page-link, .nav-pills .nav-link.active, #preloader #status .spinner .double-bounce1, #preloader #status .spinner .double-bounce2, .social-icon li a:hover, #topnav .navbar-toggle.open span:hover, .bg-animation-left.crypto-home:after, .bg-animation-left.task-management-home:after, .classic-app-image .bg-app-shape:after, .classic-saas-image .bg-saas-shape:after, .swiper-slider-hero .swiper-container .swiper-button-prev:hover, .features.fea-primary:hover, .tns-nav button.tns-nav-active, .ribbon.ribbon-primary span, .sidebar .widget .tagcloud > a:hover, .work-container.work-modern .icons .work-icon:hover, .timeline-page .timeline-item .date-label-left:after, .timeline-page .timeline-item .duration-right:after, #navmenu-nav li.account-menu.active .navbar-link, #navmenu-nav li.account-menu:hover .navbar-link, .qs-datepicker-container .qs-squares .qs-square:not(.qs-empty):not(.qs-disabled):not(.qs-day):not(.qs-active):hover, .qs-datepicker-container .qs-squares .qs-square.qs-current, .carousel-indicators [data-bs-target], .carousel-indicators .active, .tns-controls button[data-controls="prev"]:hover, .tns-controls button[data-controls="next"]:hover, .back-to-top {
                background-color: #141639c4 !important;
                color: white!important;
                border-radius:0px !important;
                border-color: #141639c4 !important;
            }
            .form-check-input.form-check-input:checked{
                border-radius:20px !important;
                background-color: #141639c4 !important;
            }
            .form-check-input:focus {
                border-color: #141639c4 !important;
                background-image:#141639c4 !important;
            }
            .nav-pills .nav-link{
                color: white !important;
            }
            .nav-pills {
                margin-bottom: 0px;
                background:none;
            }
            .logo {
                font-weight: 700;
                font-size: 24px;
                margin-right: 0px;
                padding: 0 0 6px;
                letter-spacing: 1px;
                line-height: 68px;
            }
            a {
                text-decoration: none !important;
            }
            .table {
                width: 100%;
                color: #6e6b7b;
            }
            .list_table thead tr th {
                font-size: 12px;
                font-weight: 700;
                background-color: #16183f69;
                text-transform: capitalize;
                color: #ffff;
            }
            .list_table thead tr th {
                padding: 11px 6px 10px!important;
            }
            .list_table .institute_info {
                display: flex !important;
            }
            .list_table .institute_info .left {
                width: 37px;
                align-self: center;
            }
            .list_table .institute_info .left .fa {
                background: #f1f0fb;
                padding: 10px;
                border-radius: 100%;
                font-size: 14px;
                color: #2e1153;
            }
            tbody, td, tfoot, th, thead, tr {
                border-color: inherit;
                /* border-style: dashed; */
                border-width: 0;
            }
            .change_pass_btn {
                margin-top: 0;
                color: #ffff;
                border: 1px solid #9f9fa169;
                border-radius: 50%;
                padding: 8px 8px;
                margin-right: 0;
                background: #16183f69;
                font-size: 15px!important;
            }
            .change_pass_btn:hover {
                color: #ff7f00;
                transition: all 1s cubic-bezier(0.19, 1, 0.22, 1) 0s;
                border: 1px solid #ff7f00 !important;
            }
            .icon_bar {
                width: fit-content;
                overflow: auto;
                border-radius: 0.25rem;
                padding: 2px 4px;
                margin: 0 auto;
                border: 0.5px solid #d8e2e7;
            }
            .icon_bar a {
                text-align: center;
                padding: 0;
                color: #818084;
                font-size: 16px;
                margin: 0 3px;
                border-bottom: none;
                top: 0;
            }
            .label_badge_radius {
                color: #2e1153;
                border-radius: 20px;
                padding: 1px 10px;
                font-size: 10px;
                line-height: 1.3;
                letter-spacing: .2px;
                font-weight: 400;
                /* background-image: linear-gradient(to right, rgb(46 17 83 / 19%), rgb(245, 244, 253)); */
            }
            .label_badge_no {
                color: red;
                border-radius: 20px;
                padding: 1px 10px;
                font-size: 11px;
                line-height: 1.3;
                letter-spacing: .2px;
                font-weight: 400;
                background-color:#ffecee;
            }
            .label_badge_gpa {
                color: #327ab7;
                border-radius: 20px;
                padding: 1px 10px;
                font-size: 11px;
                line-height: 1.3;
                letter-spacing: .2px;
                font-weight: 400;
                background-color: #e5f3ff;
            }
            .label_badge_work {
                color: #2466dc;
                border-radius: 20px;
                padding: 1px 10px;
                font-size: 11px;
                line-height: 1.3;
                letter-spacing: .2px;
                font-weight: 400;
                background-color:#e5ebf7;
            }
            .ms-5 {
                margin-left: 2.4rem!important;
            }
            .btncl{
                padding: 2px 6px;
                color: #ffffff !important;
                background-color: #ffc107 !important;
                border-radius: 30px;
            }
            .btncl:hover {
                background-color: #ffffff !important;
                border-color: #ffc107 !important;
                color: #ffc107 !important;
            }
            .btn2{
                background-color: #141639c4 !important;
                color:white !important;
                border-radius: 20px;
                box-shadow:none !important;
                padding:3px 13px !important;
                font-size:13px;
            }
            .btn2:hover{
                background: #fff !important;
                color:  #141639c4 !important;
                border-radius: 20px;
                border-color: #2e1153!important;
            }

            .submit_button {
                background-color: #2e1153!important;
                border-width: 1px!important;
                border-color: #2e1153!important;
                color: #fff!important;
                border-radius: 30px!important;
                padding: 6px 11px!important;
                height: 28px!important;
                font-size: 14px!important;
                line-height: 1!important;
                font-weight: 600!important;
            }

            .submit_button:hover {
                background-color: #fff;
                border-color: #2e1153;
                color: #2e1153;
            }
            .top_part_status_name {
                border-radius: 20px;
                padding: 1px 22px 1px 10px;
                font-size: 10px;
                font-weight: 400;
                line-height: 1.3;
                letter-spacing: .2px;
                top: 0;
                position: relative;
                width: fit-content;
                display: flex;
            }
            .top_part_status .dropdown .dropdown-menu.show .dropdown-item:first-child {
                border-top-left-radius: 0.25rem;
                border-top-right-radius: 0.25rem;
            }
            .top_part_status .dropdown .dropdown-menu.show .dropdown-item:hover {
                background: #2e1153;
                color: #fff !important;
            }
            .dropdown-menu {
                display: none;
                float: left;
                min-width:5rem;
                padding: 0.5rem 0;
                margin: 0.125rem 0 0;
                color: #212529;
                text-align: left;
                list-style: none;
                background-color: #fff;
                background-clip: padding-box;
                border: 1px solid rgba(0,0,0,.15);
                border-radius: 0.25rem;
                font-size: 11px;
                background-color: #dedbf1;
            }
            .dropdown-item {
                display: block;
                width: 100%;
                clear: both;
                font-weight: 400;
                text-align: inherit;
                white-space: nowrap;
                background: 0 0;
                border: 0;
                padding: 4px 12px;
            }
            .site-header {
                position: fixed;
                top: 0;
                left: 0;
                width: 100%;
                height: auto;
                max-height: 80px;
                background: #fff;
                padding: 0px 15px 0 0;
                z-index: 80;
            }
            .sidebar-wrapper .sidebar-menu ul li a {
                display: inline-block;
                width: 100%;
                text-decoration: none;
                position: relative;
                padding:7px 15px 7px 20px;
            }
            .sidebar-wrapper .sidebar-menu ul li:hover>a{
                background-color: #141639c4 !important;
                color:white;
                border-radius: 0px !important
            }
            .sidebar-footer {
                position: sticky;
            }

            .edu_title {
                background: #191e38;
                font-weight: 600;
                color: white;
                padding: 2px 8px;
                border-radius: 6px;
                font-size: 11px;
            }

            .summary_edu_part {
                padding: 15px 10px;
                position: relative;
                background: #eee;
                border-radius: 7px;
            }
            .summary_edu_part .education_head {
                display: flex;
                width: 100%;
            }
            .summary_edu_part .education_head .left {
                width: 80%;
            }

            .summary_edu_part .education_head .right {
                width: 20%;
                text-align: right;
            }
            .summary_edu_part .education_body ul {
                list-style-type: none;
                padding-left: 0;
                margin-bottom: 0;
            }
            .summary_edu_part .education_body ul li:first-child {
                font-size: 11px;
                font-weight: 600;
                color: black;
            }
            .summary_edu_part .education_body ul li {
                line-height: 1.5;
                color: #343434;
                font-weight: 400;
                font-size: 11px;
            }
            .summary_ielts_part {
                position: relative;
            }
            .summary_ielts_part .education_head {
                display: flex;
                width: 100%;
            }
            .expiration {
                display: inline;
                margin-left: 5px;
            }
            .single_glance_row {
                background-color: rgb(255 255 255);
                font-size: 12px !important;
                margin: 0 !important;
                border: none;
                border-bottom: 1px solid #e8eef1;
                border-radius: 0;
                padding: 8px 10px;
                color: #343434;
                font-size: 1rem;
            }
            .single_glance_row_publication {
                background-color: rgb(255 255 255);
                font-size: 12px !important;
                margin: 0 !important;
                border: none; 
                border-radius: 0;
                padding: 8px 10px;
                color: #343434;
                font-size: 1rem;
            }
            .config{
                font-size: 13px;
                font-weight: 600;
                color: black;
            }

            .content_header {
                display: flex;
                width: 100%;
                line-height: 1.2;
            }
            .content_header .left {
                width: 40px;
                align-self: center;
            }
            .content_header .left .fa {
                padding: 6px 6.8px;
                background: #f1f0fb;
                border-color: transparent;
                color: #2e1153;
                border-radius: 100%;
                font-size: 14px;
                border: 1px solid #ceccda;
            }
            .content_header .right {
                width: calc(100% - 40px);
                align-self: center;
            }
            .content_header .right .main_title {
                font-size: 18px;
                font-weight: 600;
                display: block;
            }
            .method {
                background-color: #2c2d4d;
                margin-top: -11px;
                width: fit-content;
                font-size: 14px !important;
                color: #fff;
                padding-left: 9px;
                padding-right: 9px;
                border-radius: 5px;
            }
            .method-box{
                width: 31.5%;
                background-color: #eee;
                border-radius: 5px;
            }

            .label_badge_no {
                color: #e75555;
                border-radius: 20px;
                padding: 1px 10px;
                font-size: 11px;
                line-height: 1.3;
                letter-spacing: .2px;
                font-weight: 400;
                background-color: #eed4ce;
            }

            .hand{
                cursor: pointer;
            }

            .pro_top_rating {
                border: none;
                float: left;
            }
            .pro_top_rating > label {
                color: #90A0A3;
                float: right;
            }
            .pro_top_rating > label:before {
                margin-right: 5px;
                font-size: .7rem;
                font-family: FontAwesome;
                content: "\f005";
                display: inline-block;
            }
            .pro_top_rating > input {
                display: none;
            }
            .pro_top_rating > input:checked ~ label,
            .pro_top_rating:not(:checked) > label:hover,
            .pro_top_rating:not(:checked) > label:hover ~ label {
                color: #F79426;
            }
            .pro_top_rating > input:checked + label:hover,
            .pro_top_rating > input:checked ~ label:hover,
            .pro_top_rating > label:hover ~ input:checked ~ label,
            .pro_top_rating > input:checked ~ label:hover ~ label {
                color: #FECE31;
            }
            /* stnd-proposal */
            .horizontal-menu .header-navbar.navbar-fixed {
                position: fixed;
                width: 100%;
            }
            .btn1{
                background-color: #aba3db !important;
                color:white !important;
                border-radius: 20px;
                box-shadow:none !important;
            }
            .btn1:hover{
                background: #453993 !important;
                color: #fff !important;
                border-radius: 20px;
            }
            .title{
                font-size:12px;
            }
            .badge-title{
                background: #dedbf1;
                font-weight: 600;
                color: #2e1153;
                padding: 2px 8px;
                border-radius: 4px;
                border: 1px solid #d8e2e7;
                font-size: 11px;
            }
            .badge-lighter-green {
                background: #d8fdd8!important;
                color: green!important;
            }
            .badge-lighter-red {
                background: #f3dadc!important;
                color: #de1528!important;
            }
            .uil-map-marker {
                color: #2e1153;
                background: #f1f0fb;
                border-radius: 100%;
                font-size: 14px;
                padding: 4px 6px;
                border: 1px solid #ceccda;
            }
            /* .navbar {
                display: inline-block;
            } */
            .card {
                background-color: inherit;
            }
            .education{
                padding: 10px 16px;
                background-color: #dedbf1!important;
                margin-left: -12px;
                margin-right: -12px;
                border-radius: 4px 4px 0px 0px;
                font-size: 12px;
            }
            .btn3{
                background-color: #2e1153 !important;
                color:white !important;
                border-radius: 20px;
                box-shadow:none !important;
                padding:3px 17px !important;
                font-size:13px;
            }
            .btn3:hover{
                background: #fff !important;
                color:  #2e1153  !important;
                border-radius: 20px;
                border-color: #2e1153!important;
            }
            .fea.icon-sm {
                height: 10px;
                width: 12px;
            }
            .tbl {
                color: #868e96;
                font-size: 10px;
                font-weight: 600 !important;
                margin:0px !important;
            }
            .tbl2 {
                font-weight: 600 !important;
                font-size: 11px !important;
            }
            .profile_top_part_info {
                background: white;
                border: none;
                padding: 15px;
            }
            .profile_top_part_info .whole_part {
                width: 100%;
                display: flex;
            }
            .profile_top_part_info .whole_part .left_part {
                width: 150px;
                position: relative;
                line-height: 145px;
            }
            .profile_top_part_info .whole_part .left_part .profile-photo {
                left: 48%;
                transform: translate(-50%, 0);
                margin-left: 0 !important;
            }
            .profile-photo {
                position: absolute;
            }
            .profile-photo .profile_pic {
                width: 130px;
            }
            .profile_pic img {
                border: 2px solid #2e1153;
                border-radius: 1.25rem;
            }
            .profile_top_part_info .whole_part .right_part {
                width:100%;
                display: flex;
            }
            .profile_top_part_info .whole_part .right_part .right_part_right {
                width: 100%;
            }           
            .right_part_right_whole {
                display: flex;
                width: 100%;
                position: relative;
                justify-content: flex-end;
            }
            .label {
                display: inline-block;
                line-height: 1;
                color: #fff;
                text-align: center;
                white-space: nowrap;
                vertical-align: baseline;
                border-radius: 0.25rem;
                font-size: 10px;
                font-weight: 400;
            }
            .top_part_status_name {
                border-radius: 20px;
                padding: 1px 22px 1px 10px;
                font-size: 10px;
                font-weight: 400;
                line-height: 1.3;
                letter-spacing: .2px;
                top: 0;
                position: relative;
                width: fit-content;
                display: flex;
            }           
            .dropdown-menu {
                display: none;
                float: left;
                min-width: 7rem;
                padding: 0.5rem 0;
                margin: 0.125rem 0 0;
                color: #212529;
                text-align: left;
                list-style: none;
                background-color: #fff;
                background-clip: padding-box;
                border: 1px solid rgba(0,0,0,.15);
                border-radius: 0.25rem;
                font-size: 11px;
                background-color: #dedbf1;
            }
            .dropdown-item {
                display: block;
                width: 100%;
                clear: both;
                font-weight: 400;
                text-align: inherit;
                white-space: nowrap;
                background: 0 0;
                border: 0;
                padding: 4px 12px;
            }
            
            .top_part_status .dropdown .dropdown-menu.show .dropdown-item:first-child {
                border-top-left-radius: 0.25rem;
                border-top-right-radius: 0.25rem;
            }
            .top_part_status .dropdown .dropdown-menu.show .dropdown-item:hover {
                background: #2e1153;
                color: #fff !important;
            }
            .left-box{
                width: 25.1%;
                border-radius: 0px;
                border-right: 1px solid #eee;
            }
            .ref {
                background-color: #ffad00;
                margin-top: -11px;
                font-size: 13px !important;
                color: #191e38;
                padding-left: 8px;
                border-radius: 5px;
                width: fit-content;
                padding-right: 8px;
            }
         </style>

@stack('css')
</head>
